/* Test of returning indent level. */
int ok(int x) {
    if (x > 2) {
        if (x < 10) {
            if (x == 3) {
                printf("OK\n");
            }
        }
    } 
    printf("Done\n");
}

/* TEST: Leave comments alone.
if (q1) {
  if (q2) {
    if (q3) {
      a++;
    }
  }
}
*/

// TEST: Control, single statement, same line.
if (q) a();
c();

// TEST: Control, single statement, separate line.
if (q)
  a();
c();

// TEST: Control, block, same line.
if (q) { a(); }
c();

// TEST: Control, block, separate line.
if (q) { 
  a();
}
c();

// TEST: Control, single statement, same line, comments.
if (q) /*ok*/ a() /*ok*/ ; /*ok*/
c();

// TEST: Control, single statement, separate line, comments.
if (q) // ok
 /*ok*/ a();
c();

// TEST: Control, block, same line, comments.
if (q) /*ok*/ { /*ok*/ a(); /*ok*/ }
c();

// TEST: Control, block, separate line, comments.
if (q) {  
/*ok*/  a() /*ok*/; /*ok*/
} /*ok*/
c();
